Subject: Re: Missing Win32-fcts {Copy,Move,Fill,Zero}Memory
From: [email-masked] (Mark Becker)

4 Aug 1998 17:20:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: gnu-win32 <[email-masked]>

Hi,

Mark Becker wrote:

> obviously gnu-win32 is missing the following Win32-API-
> functions:
> 
> CopyMemory, MoveMemory, FillMemory, ZeroMemory
> 
> I couldn't find them neither in the header-files nor in the libs;
> scanning the FAQ and mailing archive didn't give me any pointer.
> 

Sorry, I've to correct the statement above : only CopyMemory isn't
implemented in gnu-win32, all the others do exist!
Anyway, for the sake of completeness it would be nice if CopyMemory
is implemented too! A simple mapping to the memcpy-fct would be
sufficient I guess; it's similarly done for MoveMemory, FillMemory and
ZeroMemory.

I tried to build the libtiff-library from SGI which calls CopyMemory
in the tif_win32 module. 

ciao
  Mark Becker

========================================================================
     Mark Becker -- [email-masked]
Phone: +49-234-x Office:x=700-7988 Secretary:x=700-7997  FAX:x=7094-210
========================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".